<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="maincontentcontainer">
 *
 * @package retrolin
 * @since retrolin 1.0
 */
?><!doctype html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!-- Consider adding a manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->


<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<meta http-equiv="cleartype" content="on">

	<!-- Responsive and mobile friendly stuff -->
	<meta name="HandheldFriendly" content="True">
	<meta name="MobileOptimized" content="320">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

    <link href='http://fonts.googleapis.com/css?family=Lato:300,400' rel='stylesheet' type='text/css'>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="wrapper" class="hfeed site">

	<div class="visuallyhidden skip-link"><a href="#primary" title="<?php esc_attr_e( 'Skip to main content', 'retrolin' ); ?>"><?php esc_html_e( 'Skip to main content', 'retrolin' ); ?></a></div>

	<div id="headercontainer">

		<header id="masthead" class="site-header row" role="banner">
            <div class="inner row">

                <div class="logo site-title">
                    <h1>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" rel="home">
                            <?php
                            $headerImg = get_header_image();
                            $customLogo = retrolin_get_header_logo();
                            if (!empty($customLogo)) : ?>
                                <img src="<?php echo $customLogo; ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />
                            <?php elseif( !empty( $headerImg ) ) : ?>
                                <img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />
                            <?php endif ?>
                            <?php
                            echo '<span class="rtl-header-headline">' .retrolin_get_header_headline() .'</span>';
                            ?>
                        </a>
                    </h1>
                </div>

            </div> <!-- /.inner -->

            <div class="main-nav">

                <div class="inner row">

                    <nav id="site-navigation" class="main-navigation" role="navigation">
                        <a class="menu-toggle" href="#site-navigation">
                            <span class="line"></span>
                            <span class="space"></span>
                            <span class="line"></span>
                            <span class="space"></span>
                            <span class="line"></span>
                        </a>
                        <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
                    </nav> <!-- /.site-navigation.main-navigation -->

<!--                    <div class="social-media-icons">-->
                        <?php // echo retrolin_get_social_media(); ?>
<!--                    </div>-->

                </div> <!-- /.inner -->

            </div> <!-- /.inner -->


		</header> <!-- /#masthead.site-header.row -->

	</div> <!-- /#headercontainer -->
	<div id="maincontentcontainer">
